
Katello - Bug #5000

UI label generation is slow and often gets out of sync with typing

04/01/2014 02:58 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1081072 Red Hat JIRA:  

Pull request:    

Description

For example, typing out:

"This is a test of the label system"

can end up with:

"This_is_t"

It seems to trip up if you tab off the field after typing or if your network connection is slow. Backspace and re-typing often can cause

jumbled labels that don't equal the name

Associated revisions

Revision 7b84bcd3 - 04/28/2014 09:29 AM - Walden Raines

Fixes #5000, generate labels client side

Revision 65bac91b - 04/28/2014 10:03 AM - Walden Raines

Merge pull request #4005 from waldenraines/bug-5000

Fixes #5000, generate labels client side.

Revision 834f0bdf - 04/28/2014 01:29 PM - Walden Raines

Fixes #5000, generate labels client side

Revision 53e256aa - 04/28/2014 02:03 PM - Walden Raines

Merge pull request #4005 from waldenraines/bug-5000

Fixes #5000, generate labels client side.

History

#1 - 04/01/2014 03:00 PM - Mike McCune

- Description updated

#2 - 04/01/2014 03:13 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1081072

#3 - 04/01/2014 03:18 PM - Ivan Necas

Very often, when testing with remote machine, it seems the response come in different order than the requests, and the last one wins.

#4 - 04/23/2014 09:19 PM - Walden Raines

- Assignee changed from Partha Aji to Walden Raines
#5 - 04/24/2014 03:50 PM - Walden Raines

- Status changed from New to Assigned

#6 - 04/24/2014 04:15 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4005

#7 - 04/28/2014 02:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:834f0bdf19ea73c05619e8da932404f06f3888b8.

#8 - 08/21/2014 02:43 PM - Eric Helms

- translation missing: en.field_release set to 13
